<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.util.RecordFormatException (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.util.RecordFormatException (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/RecordFormatException.html"
               title="class in org.apache.poi.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/RecordFormatException.html" target="_top">Frames</a>
        </li>
        <li><a href="RecordFormatException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.util.RecordFormatException" class="title">Uses of Class<br>org.apache.poi.util.RecordFormatException
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                                    title="class in org.apache.poi.util">RecordFormatException</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.eventmodel">org.apache.poi.hssf.eventmodel</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="#org.apache.poi.hssf.record.crypto">org.apache.poi.hssf.record.crypto</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.eventmodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                   title="class in org.apache.poi.util">RecordFormatException</a> in <a
                            href="../../../../../org/apache/poi/hssf/eventmodel/package-summary.html">org.apache.poi.hssf.eventmodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/eventmodel/package-summary.html">org.apache.poi.hssf.eventmodel</a> that throw <a
                                href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                title="class in org.apache.poi.util">RecordFormatException</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EventRecordFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/eventmodel/EventRecordFactory.html#processRecords-java.io.InputStream-">processRecords</a></span>(java.io.InputStream&nbsp;in)</code>
                                <div class="block">Create an array of records from an input stream</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                   title="class in org.apache.poi.util">RecordFormatException</a> in <a
                            href="../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                title="class in org.apache.poi.util">RecordFormatException</a> in <a
                                href="../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/model/InternalSheet.UnsupportedBOFType.html"
                                    title="class in org.apache.poi.hssf.model">InternalSheet.UnsupportedBOFType</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                   title="class in org.apache.poi.util">RecordFormatException</a> in <a
                            href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> that throw <a
                                href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                title="class in org.apache.poi.util">RecordFormatException</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/hssf/record/Record.html"
                                    title="class in org.apache.poi.hssf.record">Record</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">RecordFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/RecordFactory.html#createRecords-java.io.InputStream-">createRecords</a></span>(java.io.InputStream&nbsp;in)</code>
                                <div class="block">Create an array of records from an input stream</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RecordInputStream.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html#nextRecord--">nextRecord</a></span>()</code>
                                <div class="block">Moves to the next record in the stream.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> that throw <a
                                href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                title="class in org.apache.poi.util">RecordFormatException</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html#RecordInputStream-java.io.InputStream-">RecordInputStream</a></span>(java.io.InputStream&nbsp;in)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html#RecordInputStream-java.io.InputStream-org.apache.poi.poifs.crypt.EncryptionInfo-int-">RecordInputStream</a></span>(java.io.InputStream&nbsp;in,
                                <a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                   title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;key,
                                int&nbsp;initialOffset)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.record.crypto">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                   title="class in org.apache.poi.util">RecordFormatException</a> in <a
                            href="../../../../../org/apache/poi/hssf/record/crypto/package-summary.html">org.apache.poi.hssf.record.crypto</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/hssf/record/crypto/package-summary.html">org.apache.poi.hssf.record.crypto</a> that throw <a
                                href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                title="class in org.apache.poi.util">RecordFormatException</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/crypto/Biff8DecryptingStream.html#Biff8DecryptingStream-java.io.InputStream-int-org.apache.poi.poifs.crypt.EncryptionInfo-">Biff8DecryptingStream</a></span>(java.io.InputStream&nbsp;in,
                                int&nbsp;initialOffset,
                                <a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                   title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;info)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/RecordFormatException.html"
               title="class in org.apache.poi.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/RecordFormatException.html" target="_top">Frames</a>
        </li>
        <li><a href="RecordFormatException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
